const VueLoaderPlugin = require("vue-loader/lib/plugin");

module.exports = {
  entry: "./src/main.js",
  module: "./src/main.js",
  mode: "production",
  output: {
    library: "@scrm/vue-component-button",
    libraryTarget: "umd",
    scriptType: "module",
    path: __dirname + "/dist",
    filename: "./main.js",
  },
  module: {
    rules: [
      { test: /\.js/, loader: "babel-loader" },
      { test: /\.vue/, loader: "vue-loader" },
    ],
  },
  plugins: [new VueLoaderPlugin()],
};
